FROM registry.gitlab.com/zilliond/docker-images/php:latest

COPY start.sh /usr/local/bin/start
RUN dos2unix /usr/local/bin/start
RUN chmod u+x /usr/local/bin/start

RUN apk add --update nodejs npm yarn git
RUN mv "$PHP_INI_DIR/php.ini-development" "$PHP_INI_DIR/php.ini"
COPY www.conf /usr/local/etc/php-fpm.d/www.conf

RUN mkdir /app
WORKDIR /app
